Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: David Gibson <[email-masked]>
Date: Thu, 15 Feb 2007 10:37:03 +1100

On Thu, Feb 15, 2007 at 08:17:02AM +1100, Benjamin Herrenschmidt wrote:
> On Wed, 2007-02-14 at 15:02 -0600, Timur Tabi wrote:
> > Benjamin Herrenschmidt wrote:
> > 
> > >> Obviously, the kernel needs a 'chosen' section, and that's why U-Boot 
> > >> adds one.  And since U-Boot adds one, the DTS itself doesn't need one. 
> > >> Does the 8272 never use U-Boot?
> > > 
> > > I'm not talking specifically about the 8272. I think we should at it
> > > back to all dts's
> > 
> > Ugh.  Considering that U-Boot overrides whatever is in the 'chosen' section, can 
> > you tell me why you think it should be there?  If we put an empty 'chosen' 
> > section in the DTS files, are we actually doing anything meaningful?
> > 
> > In the interest of saving time, I'm going to respin my patch without the 
> > 'chosen' section removed.
> 
> In case somebody wants to use something else than uboot ? I'd like the
> base structure of the mandatory nodes to be there. /chosen is mandatory,
> so it should be there.

More specifically:
	1) Having an (even empty) /chosen makes life easier for other
	bootloaders, which may have quite limited capability to edit
	device tree blobs.

	2) It seems to me the dts files *included with the kernel*
	should be suitable for direct use in zImage wrappers, where
	possible, for use with old uboot and other non device tree
	capable firmwares.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson